package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 逃生线路关联实验室和指示灯对象 lab_exit_line_join
 * 
 * @author zd
 * @date 2022-01-25
 */
@ApiModel("逃生线路关联实验室和指示灯")
public class LabExitLineJoin extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 线路id */
    @Excel(name = "线路id")
    @ApiModelProperty(value = "线路id")
    private Long lineId;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 指示灯id */
    @Excel(name = "指示灯id")
    @ApiModelProperty(value = "指示灯id")
    private Long lightId;
    /** 指示灯排序 */
    @Excel(name = "指示灯排序")
    @ApiModelProperty(value = "指示灯排序")
    private Integer lightOrder;
    /** 指示灯方向：1是左，2是右 */
    @Excel(name = "指示灯方向：1是左，2是右")
    @ApiModelProperty(value = "指示灯方向：1是左，2是右")
    private Integer lightDirection;
    /** 坐标x */
    @Excel(name = "坐标x")
    @ApiModelProperty(value = "坐标x")
    private Integer lightLeft;
    /** 坐标y */
    @Excel(name = "坐标y")
    @ApiModelProperty(value = "坐标y")
    private Integer lightTop;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLineId(Long lineId) 
    {
        this.lineId = lineId;
    }

    public Long getLineId() 
    {
        return lineId;
    }
    public void setSubjectId(Long subjectId) 
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() 
    {
        return subjectId;
    }
    public void setLightId(Long lightId) 
    {
        this.lightId = lightId;
    }

    public Long getLightId() 
    {
        return lightId;
    }
    public void setLightOrder(Integer lightOrder) 
    {
        this.lightOrder = lightOrder;
    }

    public Integer getLightOrder() 
    {
        return lightOrder;
    }
    public void setLightDirection(Integer lightDirection) 
    {
        this.lightDirection = lightDirection;
    }

    public Integer getLightDirection() 
    {
        return lightDirection;
    }
    public void setLightLeft(Integer lightLeft) 
    {
        this.lightLeft = lightLeft;
    }

    public Integer getLightLeft() 
    {
        return lightLeft;
    }
    public void setLightTop(Integer lightTop) 
    {
        this.lightTop = lightTop;
    }

    public Integer getLightTop() 
    {
        return lightTop;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lineId", getLineId())
            .append("subjectId", getSubjectId())
            .append("lightId", getLightId())
            .append("lightOrder", getLightOrder())
            .append("lightDirection", getLightDirection())
            .append("lightLeft", getLightLeft())
            .append("lightTop", getLightTop())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
